site_name: LLLE-Ecolyo Technical Docs
site_description: LLLE Project Documentation with Markdown.
site_author: LLLE Team
repo_name: "Clone the Project"
repo_url: "https://forge.grandlyon.com/web-et-numerique/llle_project/llle_docs"

theme:
  name: "material"
  # logo: 'assets/favicon.ico'
  # favicon: 'assets/favicon.ico'
  palette:
    primary: "black"
    accent: "Deep Orange"

markdown_extensions:
  - admonition
  - attr_list
  - pymdownx.emoji

nav:
  - Home: index.md
  - Getting started:
      - Setup your environment: getting_started/setup_your_environment.md
      - Launch the application on local: getting_started/launch_local_application.md
      - Launch a konnector on local: getting_started/launch_local_konnector.md
  - Project Architecture:
      - Architecture: project_architecture/architecture.md
      - Cozy: project_architecture/cozy.md
      - Environments: project_architecture/environments.md
      - DocTypes: project_architecture/doctypes.md
  - Application:
      - Description: application/description.md
      - Scaffolding: application/scaffolding.md
      - Services: application/services.md
      - Gitflow: application/gitflow.md
      - Deploy: application/deploy.md
  - Konnectors:
      - Enedis: konnectors/enedis.md
      - GRDF: konnectors/grdf.md
      - Eau du Grand Lyon: konnectors/egl.md
  - Proxy:
      - Description: proxy/description.md
